const promise = require('bluebird')
const dateHelper = require('../../utils/dateHelper')
const db = require('../../utils/db')
const config = require('../../utils/config')

class SettingHelper {
    async getSettingList(body) {
        try {
            const image_path = config.IMAGE_BASE_PATH + 'app/';

            let selectParams = '*';
            let data = await db.select('general_setting', selectParams, '');

            // let data = {};
            await data.forEach(function (row) {
                if (row.key == 'app_logo') {
                    row.value = image_path + row.value;
                }
                if (row.key == 'about-us' || row.key == 'terms-and-conditions' || row.key == 'privacy-policy') {
                    row.value = config.BASE_PATH + row.value;
                }
            });

            return { data };
        } catch (error) {
            return promise.reject(error)
        }
    }
}

module.exports = new SettingHelper()